﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using PrintTestDAL;
using PrintTestModel;
using System.Reflection;
using System.Collections;
using System.IO;
using System.Text;
using System.Xml;
using System.Data;



namespace ASP.NETClass
{
    public partial class _Default : System.Web.UI.Page
    {
        private void ReportDepositAmt(string OperateType)
        {
            string FileValue, PrintValue, ParaName, ParaValue;

            FileValue = WebPrintClass.FileToString(Server.MapPath(".\\Frp\\DepositAmt.fr3"));
            ParaName = "ShopName`~PrintDepositAdd`~PrintPaperNo`~Title";  //`~为各参数的分隔符
            ParaValue = "测试酒楼"
                      + "`~说明：本单据为贵客押金收取凭证，盖章有效。退房时请出示，遗失者自负，请妥善保存。退房时间为12:00时，延时退房18:00时以前按半天房费收取，18:00时以后算全天房价。押金单有效期为一个月，过期作废。       贵重物品请交前台寄存，未寄存丢失自负。      谢谢！"
                      + "`~身份证：4325011980639512"
                      + "`~押金单";

            CashLog CashLog = new CashLog();
            IList<MdCashLog> TbCashLog = CashLog.GetCashLog("C10102900003");
            PrintValue = WebPrintClass.TableToXml(TbCashLog);

            string ScriptStr;

            ScriptStr = "<script language='javascript'>window.onload = function() { try { var ObjPrintMange =  new ActiveXObject('WebPrint.WebPrintUnit'); } catch(e) { if( confirm('打印控件未安装，现在下载吗?') ) { window.location='./PrintActivex.exe'; } return; } var OldVersion=ObjPrintMange.Version; NewVerion='5.0(2011-08-01)'; if(OldVersion < NewVerion) { ObjPrintMange = null; alert('打印控件需升级。请先进行下载，下载后关闭IE，然后安装升级版。'); window.location='./PrintActivex.exe'; return;  } ";

            if (OperateType == "NamePreview")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                       + "ObjPrintMange.ShowReport('";
            }
            else if (OperateType == "Design")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                      + " ObjPrintMange.ReportFileName='DepositAmt.fr3'; "
                                      + " ObjPrintMange.DesignReport('";

            }
            else if (OperateType == "DomainPreview")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckDomainName('xinyuerj.com', 'EDBA735B16AC156AABC7C99EB34409DA'); "  //注册码
                                      + "ObjPrintMange.ShowReport('";
            }
            else if (OperateType == "Print")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                      + "ObjPrintMange.PrintReport('";

            }
            else if (OperateType == "PostDesign")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                      + " ObjPrintMange.ReportFileName='DepositAmt.fr3'; "
                                      + " ObjPrintMange.PostURL='http://www.xinyuerj.com/ASPPost/Show.asp?FileName=DepsitAmt.fr3'; "
                                      + " ObjPrintMange.DesignReport('";
            }
            else if (OperateType == "DomainPrint")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckDomainName('xinyuerj.com', 'EDBA735B16AC156AABC7C99EB34409DA'); "  //注册码
                                      + "ObjPrintMange.PrintReport('";
            }

            ScriptStr = ScriptStr  + FileValue + "' , '"
                     + ParaName + "', '"
                     + ParaValue + "', '"
                     + PrintValue + "', '', '', '', '', '');"
                     + "ObjPrintMange = null; } </script>";
            ScriptStr = ScriptStr.Replace(System.Environment.NewLine, string.Empty);

            Response.Write(ScriptStr);
        }

        private void ReportMaster(string OperateType)
        {
            string FileValue, PrintValue1, PrintValue2, ParaName, ParaValue;

            FileValue = WebPrintClass.FileToString(Server.MapPath(".\\Frp\\InInfo.fr3"));
            ParaName = "ShopName";  //`~为各参数的分隔符
            ParaValue = "测试酒楼";


            InInfo InInfo = new InInfo();
            IList<MdInInfo> TbInInfo = InInfo.GetAllInInfo();
            PrintValue1 = WebPrintClass.TableToXml(TbInInfo);

            InMaterial InMaterial = new InMaterial();
            IList<MdInMaterial> TbInMaterial = InMaterial.GetAllInMaterial();
            PrintValue2 = WebPrintClass.TableToXml(TbInMaterial);

            string ScriptStr;

            ScriptStr = "<script language='javascript'>window.onload = function() { try { var ObjPrintMange =  new ActiveXObject('WebPrint.WebPrintUnit'); } catch(e) { if( confirm('打印控件未安装，现在下载吗?') ) { window.location='./PrintActivex.exe'; } return; } var OldVersion=ObjPrintMange.Version; NewVerion='5.0(2011-08-01)'; if(OldVersion < NewVerion) { ObjPrintMange = null; alert('打印控件需升级。请先进行下载，下载后关闭IE，然后安装升级版。'); window.location='./PrintActivex.exe'; return;  } ";

            if (OperateType == "Preview")
            {
              ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                    + "ObjPrintMange.MasterOptions(1, 'InNo', 0 );"   //主从关系，参数：主数据集序号，关联字段名，字段是否为数值型
                                    + "ObjPrintMange.ShowReport('";
            }
            else if (OperateType == "Design")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                      + "ObjPrintMange.MasterOptions(1, 'InNo', 0 );"   //主从关系，参数：主数据集序号，关联字段名，字段是否为数值型
                                      + " ObjPrintMange.ReportFileName='InInfo.fr3'; "
                                      + " ObjPrintMange.DesignReport('";

            }
            else if (OperateType == "DomainPreview")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckDomainName('xinyuerj.com', 'EDBA735B16AC156AABC7C99EB34409DA'); "  //注册码
                                      + "ObjPrintMange.MasterOptions(1, 'InNo', 0 );"   //主从关系，参数：主数据集序号，关联字段名，字段是否为数值型
                                      + "ObjPrintMange.ShowReport('";
            }


            ScriptStr = ScriptStr + FileValue + "' , '"
                     + ParaName + "', '"
                     + ParaValue + "', '"
                     + PrintValue1 + "', '"
                     + PrintValue2 + "', '', '', '', '');"
                     + "ObjPrintMange = null; } </script>";
            ScriptStr = ScriptStr.Replace(System.Environment.NewLine, string.Empty);

            Response.Write(ScriptStr);

        }

        private void ReportPicture(string OperateType)
        {
            string FileValue, PrintValue, ParaName, ParaValue;
            string PictureStr;

            FileValue = WebPrintClass.FileToString(Server.MapPath(".\\Frp\\Material.fr3"));
            ParaName = "ShopName";  //`~为各参数的分隔符
            ParaValue = "测试酒楼";


            MaterialInfo MaterialInfo = new MaterialInfo();
            IList<MdMaterialInfo> TbMaterialInfo = MaterialInfo.GetAllMaterialInfo();
            PrintValue = WebPrintClass.TableToXml(TbMaterialInfo);

            PictureStr = WebPrintClass.TablePictureToStr(TbMaterialInfo, "PictureFile", Server.MapPath(".\\Image\\")); //数据表中图片


            string PictureFile, PictureValue;

            PictureFile = "Title.bmp";
            PictureValue = WebPrintClass.FileToString(Server.MapPath(".\\Image\\" + PictureFile));
            PictureStr = PictureStr + "ObjPrintMange.SavePictureFile('" + PictureFile + "' , '" + PictureValue + "' );";    //单个图片


            string ScriptStr;

            ScriptStr = "<script language='javascript'>window.onload = function() { try { var ObjPrintMange =  new ActiveXObject('WebPrint.WebPrintUnit'); } catch(e) { if( confirm('打印控件未安装，现在下载吗?') ) { window.location='./PrintActivex.exe'; } return; } var OldVersion=ObjPrintMange.Version; NewVerion='5.0(2011-08-01)'; if(OldVersion < NewVerion) { ObjPrintMange = null; alert('打印控件需升级。请先进行下载，下载后关闭IE，然后安装升级版。'); window.location='./PrintActivex.exe'; return;  } ";

            if (OperateType == "Preview")
            {
               ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                     + PictureStr
                                     + "ObjPrintMange.AddPicturePrint('PicTitle', 0, 'Title.bmp','1', 1 );"       //增加单个图片打印，参数：报表中图片对象名，数据表的字段（为0），图片文件名，数据集序号，是否清除旧数据（第1次调用时为1，其它时候则为0）
                                     + "ObjPrintMange.AddPicturePrint('PicMaterial', 1, 'PictureFile','1', 0 );"  //增加数据表中的图片打印，参数：报表中图片对象名，数据表的字段（为1），图片文件名所对应的字段名，数据集序号，是否清除旧数据（第1次调用时为1，其它时候则为0）
                                     + "ObjPrintMange.ShowReport('";
            }
            else if (OperateType == "Design")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckReg('公司名称', '3B8E5B998A3125EE89983EA940BB2AEE'); "  //注册码
                                      + PictureStr
                                      + "ObjPrintMange.AddPicturePrint('PicTitle', 0, 'Title.bmp','1', 1 );"       //增加单个图片打印，参数：报表中图片对象名，数据表的字段（为0），图片文件名，数据集序号，是否清除旧数据（第1次调用时为1，其它时候则为0）
                                      + "ObjPrintMange.AddPicturePrint('PicMaterial', 1, 'PictureFile','1', 0 );"  //增加数据表中的图片打印，参数：报表中图片对象名，数据表的字段（为1），图片文件名所对应的字段名，数据集序号，是否清除旧数据（第1次调用时为1，其它时候则为0）
                                      + " ObjPrintMange.ReportFileName='Material.fr3'; "
                                      + " ObjPrintMange.DesignReport('";

            }
            else if (OperateType == "DomainPreview")
            {
                ScriptStr = ScriptStr + " ObjPrintMange.CheckDomainName('xinyuerj.com', 'EDBA735B16AC156AABC7C99EB34409DA'); "  //注册码
                                    + PictureStr
                                    + "ObjPrintMange.AddPicturePrint('PicTitle', 0, 'Title.bmp','1', 1 );"       //增加单个图片打印，参数：报表中图片对象名，数据表的字段（为0），图片文件名，数据集序号，是否清除旧数据（第1次调用时为1，其它时候则为0）
                                    + "ObjPrintMange.AddPicturePrint('PicMaterial', 1, 'PictureFile','1', 0 );"  //增加数据表中的图片打印，参数：报表中图片对象名，数据表的字段（为1），图片文件名所对应的字段名，数据集序号，是否清除旧数据（第1次调用时为1，其它时候则为0）
                                    + "ObjPrintMange.ShowReport('";
            }


            ScriptStr = ScriptStr + FileValue + "' , '"
                     + ParaName + "', '"
                     + ParaValue + "', '"
                     + PrintValue + "', '', '', '', '', '');"
                     + "ObjPrintMange = null; } </script>";
            ScriptStr = ScriptStr.Replace(System.Environment.NewLine, string.Empty);

            Response.Write(ScriptStr);

        }
        
        protected void Page_Load(object sender, EventArgs e)
        {
             
        }

        protected void BtnDepositPreview_Click(object sender, EventArgs e)
        {
            ReportDepositAmt("NamePreview");
        }


        protected void BtnDepsitAmtDesign_Click(object sender, EventArgs e)
        {
            ReportDepositAmt("Design");
        }

        protected void BtnDepositPreviewD_Click(object sender, EventArgs e)
        {
            ReportDepositAmt("DomainPreview");
        }

        protected void BtnDepositPrint_Click(object sender, EventArgs e)
        {
            ReportDepositAmt("Print");
        }

        protected void BtnDepsitAmtDesignPost_Click(object sender, EventArgs e)
        {
            ReportDepositAmt("PostDesign");
        }

        protected void BtnDepositPrintD_Click(object sender, EventArgs e)
        {
            ReportDepositAmt("DomainPrint");
        }

        protected void BtnMasterPreview_Click(object sender, EventArgs e)
        {
            ReportMaster("Preview");
        }

        protected void BtnMasterDesign_Click(object sender, EventArgs e)
        {
            ReportMaster("Design");
        }

        protected void BtnMasterPreviewD_Click(object sender, EventArgs e)
        {
            ReportMaster("DomainPreview");
        }

        protected void BtnPicturePreview_Click(object sender, EventArgs e)
        {
            ReportPicture("Preview");
        }

        protected void BtnPictureDesign_Click(object sender, EventArgs e)
        {
            ReportPicture("Design");
        }

        protected void BtnPicturePreviewD_Click(object sender, EventArgs e)
        {
            ReportPicture("DomainPreview");
        }


    }
}
