﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using PrintTestModel;

namespace PrintTestDAL
{
    public class CashLog
    {
        private const string SQLSelctCashLog = "Select * From CashLog where CashNo = @CashNo";
        
        public IList<MdCashLog> GetCashLog(string CashNo)
        {
            IList<MdCashLog> TbCashLog = new List<MdCashLog>();
            MdCashLog RdCashlog = null;

            SqlParameter PmCashNo = new SqlParameter("@CashNo", SqlDbType.VarChar, 12);
            PmCashNo.Value = CashNo;

            using (SqlDataReader DrCashLog = SqlHelper.ExecuteReader(SqlHelper.ConnectionStringLocalTransaction, CommandType.Text, SQLSelctCashLog, PmCashNo))
            {
                while (DrCashLog.Read())
                {
                    RdCashlog = new MdCashLog( DAConvert.ToString(DrCashLog["ShopNo"])
                                             , DAConvert.ToString(DrCashLog["CashNo"])
                                             , DAConvert.ToDateTime (DrCashLog["CashDate"])
                                             , DAConvert.ToString(DrCashLog["StationNo"])
                                             , DAConvert.ToInt(DrCashLog["OverNum"])
                                             , DAConvert.ToString(DrCashLog["ItemNo"])
                                             , DAConvert.ToString(DrCashLog["ItemName"])
                                             , DAConvert.ToString(DrCashLog["ItemRemark"])
                                             , DAConvert.ToDouble (DrCashLog["CashAmt"])
                                             , DAConvert.ToString(DrCashLog["CashUserNo"])
                                             , DAConvert.ToString(DrCashLog["CashUserName"])
                                             , DAConvert.ToString(DrCashLog["BookNo"])
                                             , DAConvert.ToString(DrCashLog["AccountNo"])
                                             , DAConvert.ToString(DrCashLog["BillNo"])
                                             , DAConvert.ToBoolean (DrCashLog["IsMorePay"])
                                             , DAConvert.ToString(DrCashLog["PayName"])
                                             , DAConvert.ToBoolean(DrCashLog["IsFinish"])
                                             , DAConvert.ToBoolean(DrCashLog["IsOverPay"])
                                             , DAConvert.ToString(DrCashLog["GuestNo"])
                                             , DAConvert.ToString(DrCashLog["GuestName"])
                                             , DAConvert.ToString(DrCashLog["RoomNo"])
                                             , DAConvert.ToDateTime(DrCashLog["ShopDate"])
                                             , DAConvert.ToString(DrCashLog["CheckNo"])
                                             , DAConvert.ToString(DrCashLog["Remark"]) );
                    TbCashLog.Add(RdCashlog);
                }
            }
            

            return TbCashLog;
        }
    }
}
