﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using PrintTestModel;


namespace PrintTestDAL
{
    public  class InInfo
    {
        private const string SQLSelectInInfo = "Select * From InInfo";

        public IList<MdInInfo> GetAllInInfo()
        {
            IList<MdInInfo> TbInInfo = new List<MdInInfo>();
            MdInInfo RdInInfo = null;

            using (SqlDataReader DrInInfo = SqlHelper.ExecuteReader(SqlHelper.ConnectionStringLocalTransaction, CommandType.Text, SQLSelectInInfo, null))
            {
                while (DrInInfo.Read())
                {
                    RdInInfo = new MdInInfo(  DAConvert.ToString(DrInInfo["ShopNo"])
                                            , DAConvert.ToString(DrInInfo["InNo"])
                                            , DAConvert.ToString(DrInInfo["InType"])
                                            , DAConvert.ToDateTime(DrInInfo["InDate"])
                                            , DAConvert.ToString(DrInInfo["WareNo"])
                                            , DAConvert.ToString(DrInInfo["WareName"])
                                            , DAConvert.ToString(DrInInfo["UserNo"])
                                            , DAConvert.ToString(DrInInfo["UserName"])
                                            , DAConvert.ToInt(DrInInfo["MaterialNum"])
                                            , DAConvert.ToDouble(DrInInfo["MaterialAmt"])
                                            , DAConvert.ToString(DrInInfo["SysRemark"])
                                            , DAConvert.ToString(DrInInfo["Remark"]) );
                    TbInInfo.Add(RdInInfo);

                }
            }

            return TbInInfo;
        }
    }
}
