﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using PrintTestModel;

namespace PrintTestDAL
{
    public  class InMaterial
    {
        private const string SQLSelectInMaterial = "Select * From InMaterial";

        public IList<MdInMaterial> GetAllInMaterial()
        {
            IList<MdInMaterial> TbInMaterial = new List<MdInMaterial>();
            MdInMaterial RdInMaterial = null;

            using (SqlDataReader DrInMaterial = SqlHelper.ExecuteReader(SqlHelper.ConnectionStringLocalTransaction, CommandType.Text, SQLSelectInMaterial, null))
            {
                while (DrInMaterial.Read())
                {
                    RdInMaterial = new MdInMaterial( DAConvert.ToInt( DrInMaterial["InMaterialId"] )
                                                    ,DAConvert.ToString( DrInMaterial["ShopNo"])
                                                    ,DAConvert.ToString( DrInMaterial["InNo"])
                                                    ,DAConvert.ToString( DrInMaterial["MaterialNo"])
                                                    ,DAConvert.ToString( DrInMaterial["MaterialName"])
                                                    ,DAConvert.ToString(DrInMaterial["Spec"])
                                                    ,DAConvert.ToString(DrInMaterial["MaterialKindNo"])
                                                    ,DAConvert.ToString(DrInMaterial["MaterialCode"])
                                                    ,DAConvert.ToString(DrInMaterial["MaterialUseType"])
                                                    ,DAConvert.ToDouble(DrInMaterial["MaterialPrice"])
                                                    ,DAConvert.ToDouble(DrInMaterial["MaterialNum"])
                                                    ,DAConvert.ToDouble(DrInMaterial["MaterialAmt"])
                                                    ,DAConvert.ToString(DrInMaterial["UnitName"])
                                                    ,DAConvert.ToDouble(DrInMaterial["MaxNum"])
                                                    ,DAConvert.ToString(DrInMaterial["AcceptNo"])
                                                    ,DAConvert.ToInt(DrInMaterial["AcceptMaterialID"])
                                                    ,DAConvert.ToString(DrInMaterial["Remark"]));
                    TbInMaterial.Add(RdInMaterial);
                }
            }

            return TbInMaterial;
        }

    }
}
