﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrintTestModel
{
    [Serializable]
    public class MdCashLog
    {
        private string pShopNo;
        private string pCashNo;
        private DateTime pCashDate;
        private string pStationNo;
        private int pOverNum;
        private string pItemNo;
        private string pItemName;
        private string pItemRemark;
        private double pCashAmt;
        private string pCashUserNo;
        private string pCashUserName;
        private string pBookNo;
        private string pAccountNo;
        private string pBillNo;
        private bool pIsMorePay;
        private string pPayName;
        private bool pIsFinish;
        private bool pIsOverPay;
        private string pGuestNo;
        private string pGuestName;
        private string pRoomNo;
        private DateTime pShopDate;
        private string pCheckNo;
        private string pRemark;

        public string ShopNo
        {
            get { return pShopNo; }
            set { pShopNo = value; }
        }

        public string CashNo
        {
            get { return pCashNo; }
            set { pCashNo = value; }
        }

        public DateTime CashDate
        {
            get { return pCashDate; }
            set { pCashDate = value; }
        }

        public string StationNo
        {
            get { return pStationNo; }
            set { pStationNo = value; }
        }

        public int OverNum
        {
            get { return pOverNum; }
            set { pOverNum = value; }
        }

        public string ItemNo
        {
            get { return pItemNo; }
            set { pItemNo = value; }
        }


        public string ItemName
        {
            get { return pItemName; }
            set { pItemName = value; }
        }

        public string ItemRemark
        {
            get { return pItemRemark; }
            set { pItemRemark = value; }
        }

        public double CashAmt
        {
            get { return pCashAmt; }
            set { pCashAmt = value; }
        }

        public string CashUserNo
        {
            get { return pCashUserNo; }
            set { pCashUserNo = value; }
        }

        public string CashUserName
        {
            get { return pCashUserName; }
            set { pCashUserName = value; }
        }

        public string BookNo
        {
            get { return pBookNo; }
            set { pBookNo = value; }
        }

        public string AccountNo
        {
            get { return pAccountNo; }
            set { pAccountNo = value; }
        }

        public string BillNo
        {
            get { return pBillNo; }
            set { pBillNo = value; }
        }

        public bool IsMorePay
        {
            get { return pIsMorePay; }
            set { pIsMorePay = value; }
        }

        public string PayName
        {
            get { return pPayName; }
            set { pPayName = value; }
        }

        public bool IsFinish
        {
            get { return pIsFinish; }
            set { pIsFinish = value; }
        }

        public bool IsOverPay
        {
            get { return pIsOverPay; }
            set { pIsOverPay = value; }
        }

        public string GuestNo
        {
            get { return pGuestNo; }
            set { pGuestNo = value; }
        }

        public string GuestName
        {
            get { return pGuestName; }
            set { pGuestName = value; }
        }

        public string RoomNo
        {
            get { return pRoomNo; }
            set { pRoomNo = value; }
        }

        public DateTime ShopDate
        {
            get { return pShopDate; }
            set { pShopDate = value; }
        }

        public string CheckNo
        {
            get { return pCheckNo; }
            set { pCheckNo = value; }
        }

        public string Remark
        {
            get { return pRemark; }
            set { pRemark = value; }
        }
        
        public MdCashLog()
        {
           
        }

        public MdCashLog(string pShopNo, string pCashNo, DateTime pCashDate, string pStationNo, int pOverNum, string pItemNo, string pItemName, string pItemRemark, double pCashAmt, string pCashUserNo, string pCashUserName, string pBookNo, string pAccountNo, string pBillNo, bool pIsMorePay, string pPayName, bool pIsFinish, bool pIsOverPay, string pGuestNo, string pGuestName, string pRoomNo, DateTime pShopDate, string pCheckNo, string pRemark)
        {
            this.pShopNo = pShopNo;
            this.pCashNo = pCashNo;
            this.pCashDate = pCashDate;
            this.pStationNo = pStationNo;
            this.pOverNum = pOverNum;
            this.pItemNo = pItemNo;
            this.pItemName = pItemName;
            this.pItemRemark = pItemRemark;
            this.pCashAmt = pCashAmt;
            this.pCashUserNo = pCashUserNo;
            this.pCashUserName = pCashUserName;
            this.pBookNo = pBookNo;
            this.pAccountNo = pAccountNo;
            this.pBillNo = pBillNo;
            this.pIsMorePay = pIsMorePay;
            this.pPayName = pPayName;
            this.pIsFinish = pIsFinish;
            this.pIsOverPay = pIsOverPay;
            this.pGuestNo = pGuestNo;
            this.pGuestName = pGuestName;
            this.pRoomNo = pRoomNo;
            this.pShopDate = pShopDate;
            this.pCheckNo = pCheckNo;
            this.pRemark = pRemark;     

        }

    }
}
