﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrintTestModel
{
    [Serializable]
    public class MdMaterialInfo
    {
        private string pShopNo;
        private string pMaterialNo;
        private string pMaterialName;
        private string pSpec;
        private string pMaterialUseType;
        private string pMaterialKindNo;
        private string pMaterialCode;
        private string pUnitName;
        private double pMaterialPrice;
        private bool pIsWarning;
        private double pMostWare;
        private double pLeastWare;
        private string pPictureFile;
        private string pRemark;

        public string ShopNo
        {
            get { return pShopNo; }
            set { pShopNo = value; }
        }

        public string MaterialNo
        {
            get { return pMaterialNo; }
            set { pMaterialNo = value; }
        }

        public string MaterialName
        {
            get { return pMaterialName; }
            set { pMaterialName = value; }
        }

        public string Spec
        {
            get { return pSpec; }
            set { pSpec = value; }
        }

        public string MaterialUseType
        {
            get { return pMaterialUseType; }
            set { pMaterialUseType = value; }
        }

        public string MaterialKindNo
        {
            get { return pMaterialKindNo; }
            set { pMaterialKindNo = value; }
        }

        public string MaterialCode
        {
            get { return pMaterialCode; }
            set { pMaterialCode = value; }
        }

        public string UnitName
        {
            get { return pUnitName; }
            set { pUnitName = value; }
        }

        public double MaterialPrice
        {
            get { return pMaterialPrice; }
            set { pMaterialPrice = value; }
        }

        public bool IsWarning
        {
            get { return pIsWarning; }
            set { pIsWarning = value; }
        }

        public double MostWare
        {
            get { return pMostWare; }
            set { pMostWare = value; }
        }

        public double LeastWare
        {
            get { return pLeastWare; }
            set { pLeastWare = value; }
        }

        public string PictureFile
        {
            get { return pPictureFile; }
            set { pPictureFile = value; }
        }

        public string Remark
        {
            get { return pRemark; }
            set { pRemark = value; }
        }

        public MdMaterialInfo()
        {
        }

        public MdMaterialInfo(string pShopNo, string pMaterialNo, string pMaterialName, string pSpec, string pMaterialUseType, string pMaterialKindNo, string pMaterialCode, string pUnitName, double pMaterialPrice, bool pIsWarning, double pMostWare, double pLeastWare, string pPictureFile, string pRemark)
        {
            this.pShopNo = pShopNo;
            this.pMaterialNo = pMaterialNo;
            this.pMaterialName = pMaterialName;
            this.pSpec = pSpec;
            this.pMaterialUseType = pMaterialUseType;
            this.pMaterialKindNo = pMaterialKindNo;
            this.pMaterialCode = pMaterialCode;
            this.pUnitName = pUnitName;
            this.pMaterialPrice = pMaterialPrice;
            this.pIsWarning = pIsWarning;
            this.pMostWare = pMostWare;
            this.pLeastWare = pLeastWare;
            this.pPictureFile = pPictureFile;
            this.pRemark = pRemark;
        }

    }
}
