﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrintTestDAL
{
    public abstract class DAConvert
    {

        public static string  ToString(object SrcValue)
        {
            if (Convert.IsDBNull(SrcValue) == true)
                return "";
            else
            {
                try
                {
                    return Convert.ToString(SrcValue);
                }
                catch
                {
                    return "";
                }
            }
        }      
        
        public static int ToInt(object SrcValue)
        {
            if (Convert.IsDBNull(SrcValue) == true)
                return 0;
            else
            {
                try
                {
                    return Convert.ToInt32(SrcValue);
                }
                catch
                {
                    return 0;
                }
            }
        }

        public static double ToDouble(object SrcValue)
        {
            if (Convert.IsDBNull(SrcValue) == true)
                return 0.0;
            else
            {
                try
                {
                    return Convert.ToDouble(SrcValue);
                }
                catch
                {
                    return 0.0;
                }
            }
        }

        public static Boolean ToBoolean(object SrcValue)
        {
            if (Convert.IsDBNull(SrcValue) == true)
                return false;
            else
            {
                try
                {
                    return Convert.ToBoolean(SrcValue);
                }
                catch
                {
                    return false;
                }
            }
        }

        public static DateTime  ToDateTime(object SrcValue)
        {
            if (Convert.IsDBNull(SrcValue) == true)
                return DateTime.MinValue ;
            else
            {
                try
                {
                    return Convert.ToDateTime(SrcValue);
                }
                catch
                {
                    return DateTime.MinValue;
                }
            }
        }


    }
}
