﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using PrintTestModel;

namespace PrintTestDAL
{
    public  class MaterialInfo
    {
        private const string SQLSelectMaterialInfo = "Select * From MaterialInfo ";

        public IList<MdMaterialInfo> GetAllMaterialInfo()
        {
            IList<MdMaterialInfo> TbMaterialInfo = new List<MdMaterialInfo>();
            MdMaterialInfo RdMaterialInfo = null;

            using( SqlDataReader DrMaterialInfo = SqlHelper.ExecuteReader(SqlHelper.ConnectionStringLocalTransaction, CommandType.Text, SQLSelectMaterialInfo, null) )
            {
                while (DrMaterialInfo.Read())
                {
                    RdMaterialInfo = new MdMaterialInfo( DAConvert.ToString(DrMaterialInfo["ShopNo"])
                                                        ,DAConvert.ToString(DrMaterialInfo["MaterialNo"])
                                                        ,DAConvert.ToString(DrMaterialInfo["MaterialName"])
                                                        ,DAConvert.ToString(DrMaterialInfo["Spec"])
                                                        ,DAConvert.ToString(DrMaterialInfo["MaterialUseType"])
                                                        ,DAConvert.ToString(DrMaterialInfo["MaterialKindNo"])
                                                        ,DAConvert.ToString(DrMaterialInfo["MaterialCode"])
                                                        ,DAConvert.ToString(DrMaterialInfo["UnitName"])
                                                        ,DAConvert.ToDouble(DrMaterialInfo["MaterialPrice"])
                                                        ,DAConvert.ToBoolean(DrMaterialInfo["IsWarning"])
                                                        ,DAConvert.ToDouble(DrMaterialInfo["MostWare"])
                                                        ,DAConvert.ToDouble(DrMaterialInfo["LeastWare"])
                                                        ,DAConvert.ToString(DrMaterialInfo["PictureFile"])
                                                        ,DAConvert.ToString(DrMaterialInfo["Remark"]) );
                    TbMaterialInfo.Add(RdMaterialInfo);
                }
            }

            return TbMaterialInfo;
        }

    }
}
