-- phpMyAdmin SQL Dump
-- version 2.9.1
-- http://www.phpmyadmin.net
-- 
-- 主机: localhost
-- 生成日期: 2010 年 12 月 04 日 09:37
-- 服务器版本: 5.1.51
-- PHP 版本: 5.2.14
-- 
-- 数据库: `printtest`
-- 

-- --------------------------------------------------------

-- 
-- 表的结构 `cashlog`
-- 

DROP TABLE IF EXISTS `cashlog`;
CREATE TABLE IF NOT EXISTS `cashlog` (
  `CashNo` char(12) NOT NULL DEFAULT '',
  `CashDate` datetime NOT NULL,
  `CashAmt` double NOT NULL,
  `PayName` varchar(100) DEFAULT NULL,
  `GuestName` varchar(40) DEFAULT NULL,
  `RoomNo` varchar(200) DEFAULT NULL,
  `ItemRemark` varchar(500) DEFAULT NULL,
  `CashUserName` varchar(20) DEFAULT NULL,
  `Remark` varchar(300) DEFAULT NULL,
  `OverNum` int(11) DEFAULT NULL,
  `PayAmt` float DEFAULT NULL,
  `IsFinish` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`CashNo`)
) ENGINE=InnoDB DEFAULT CHARSET=gbk;

-- 
-- 导出表中的数据 `cashlog`
-- 

INSERT INTO `cashlog` (`CashNo`, `CashDate`, `CashAmt`, `PayName`, `GuestName`, `RoomNo`, `ItemRemark`, `CashUserName`, `Remark`, `OverNum`, `PayAmt`, `IsFinish`) VALUES 
('C10102900003', '2010-11-25 12:01:07', 500, '人民币', '阿麦', '8513', '入店时间：10-29 15:35，预离时间：10-30 12:00，客单：B10102900002,客房:8513 房价:￥288元，收取押金：￥500元', '管理员', NULL, 1, 100, 1);

-- --------------------------------------------------------

-- 
-- 表的结构 `ininfo`
-- 

DROP TABLE IF EXISTS `ininfo`;
CREATE TABLE IF NOT EXISTS `ininfo` (
  `ShopNo` char(4) NOT NULL,
  `InNo` char(12) NOT NULL,
  `InType` varchar(20) DEFAULT NULL,
  `InDate` datetime DEFAULT NULL,
  `WareNo` char(4) DEFAULT NULL,
  `WareName` varchar(30) DEFAULT NULL,
  `UserNo` char(6) DEFAULT NULL,
  `UserName` varchar(20) DEFAULT NULL,
  `MaterialNum` int(11) DEFAULT NULL,
  `MaterialAmt` double DEFAULT NULL,
  `SysRemark` varchar(100) DEFAULT NULL,
  `Remark` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=gbk;

-- 
-- 导出表中的数据 `ininfo`
-- 

INSERT INTO `ininfo` (`ShopNo`, `InNo`, `InType`, `InDate`, `WareNo`, `WareName`, `UserNo`, `UserName`, `MaterialNum`, `MaterialAmt`, `SysRemark`, `Remark`) VALUES 
('01', 'I10101900001', '收货入仓', '2010-12-01 15:35:02', '01', '货物仓', '000000', '管理员', 2, 130, NULL, NULL),
('01', 'I10120200001', '其它入仓', '2010-12-02 15:36:51', '01', '货物仓', '000000', '管理员', 1, 30, NULL, NULL);

-- --------------------------------------------------------

-- 
-- 表的结构 `inmaterial`
-- 

DROP TABLE IF EXISTS `inmaterial`;
CREATE TABLE IF NOT EXISTS `inmaterial` (
  `InMaterialId` int(11) NOT NULL,
  `ShopNo` char(4) NOT NULL,
  `InNo` char(12) NOT NULL,
  `MaterialNo` char(8) DEFAULT NULL,
  `MaterialName` varchar(50) DEFAULT NULL,
  `Spec` varchar(30) DEFAULT NULL,
  `MaterialKindNo` char(4) DEFAULT NULL,
  `MaterialCode` varchar(20) DEFAULT NULL,
  `MaterialUseType` char(1) DEFAULT NULL,
  `MaterialPrice` double DEFAULT NULL,
  `MaterialNum` double DEFAULT NULL,
  `MaterialAmt` double DEFAULT NULL,
  `UnitName` varchar(10) DEFAULT NULL,
  `MaxNum` double DEFAULT NULL,
  `AcceptNo` char(12) DEFAULT NULL,
  `AcceptMaterialID` int(11) DEFAULT NULL,
  `PictureFile` varchar(50) DEFAULT NULL,
  `Remark` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=gbk;

-- 
-- 导出表中的数据 `inmaterial`
-- 

INSERT INTO `inmaterial` (`InMaterialId`, `ShopNo`, `InNo`, `MaterialNo`, `MaterialName`, `Spec`, `MaterialKindNo`, `MaterialCode`, `MaterialUseType`, `MaterialPrice`, `MaterialNum`, `MaterialAmt`, `UnitName`, `MaxNum`, `AcceptNo`, `AcceptMaterialID`, `PictureFile`, `Remark`) VALUES 
(223, '01', 'I10101900001', '001', '王老吉', NULL, NULL, NULL, NULL, 5, 10, 50, '罐', 1, NULL, 1, NULL, NULL),
(224, '01', 'I10101900001', '002', '红牛', NULL, NULL, NULL, NULL, 8, 10, 80, '罐', 1, NULL, 1, NULL, NULL),
(231, '01', 'I10120200001', '005', '矿泉水', NULL, NULL, NULL, NULL, 3, 10, 30, '支', 1, NULL, 1, NULL, NULL),
(232, '01', 'I10120200001', '002', '纸巾（赠送）', NULL, NULL, NULL, NULL, 0, 1, 0, '包', NULL, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

-- 
-- 表的结构 `materialinfo`
-- 

DROP TABLE IF EXISTS `materialinfo`;
CREATE TABLE IF NOT EXISTS `materialinfo` (
  `ShopNo` char(4) NOT NULL,
  `MaterialNo` char(8) NOT NULL,
  `MaterialName` varchar(50) DEFAULT NULL,
  `Spec` varchar(30) DEFAULT NULL,
  `MaterialUseType` char(1) DEFAULT NULL,
  `MaterialKindNo` char(4) DEFAULT NULL,
  `MaterialCode` varchar(20) DEFAULT NULL,
  `UnitName` varchar(10) DEFAULT NULL,
  `MaterialPrice` double DEFAULT NULL,
  `IsWarning` bit(1) DEFAULT NULL,
  `MostWare` double DEFAULT NULL,
  `LeastWare` double DEFAULT NULL,
  `PictureFile` varchar(50) DEFAULT NULL,
  `Remark` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=gbk;

-- 
-- 导出表中的数据 `materialinfo`
-- 

INSERT INTO `materialinfo` (`ShopNo`, `MaterialNo`, `MaterialName`, `Spec`, `MaterialUseType`, `MaterialKindNo`, `MaterialCode`, `UnitName`, `MaterialPrice`, `IsWarning`, `MostWare`, `LeastWare`, `PictureFile`, `Remark`) VALUES 
('01', '001', '王老吉', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '001.jpg', NULL),
('01', '002', '红牛', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '002.jpg', NULL),
('01', '003', '青岛', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '003.jpg', NULL),
('01', '004', '可口可乐', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '004.jpg', NULL),
('01', '005', '矿泉水', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
('01', '006', '营养快线', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('01', '007', '铁观音', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('01', '008', '芙蓉王', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '008.jpg', NULL),
('01', '009', '五叶神', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '009.jpg', NULL),
('01', '010', '经典', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('01', '011', '广喜', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '011.jpg', NULL);
